Loading...
Searching...
No Matches
L4virtio::Svr::Dev_features Struct Reference

Type for device feature bitmap. More...

`#include <virtio>`

Inheritance diagram for L4virtio::Svr::Dev_features:
Collaboration diagram for L4virtio::Svr::Dev_features:

## Public Member Functions

| Dev_features (l4_uint32_t v)
| Make Features from a raw bitmap.

## Data Fields

l4_uint32_t | raw
| The raw value of the features bitmap.
typedef cxx::Bitfield< decltype(raw), 28, 28 > | ring_indirect_desc_bfm_t
| Type to access the ring_indirect_desc bits (28 to 28) of raw.
constexpr ring_indirect_desc_bfm_t::Val | ring_indirect_desc () const
| Get the ring_indirect_desc bits (28 to 28) of raw.
constexpr ring_indirect_desc_bfm_t::Ref | ring_indirect_desc ()
| Get a reference to the ring_indirect_desc bits (28 to 28) of raw.
typedef cxx::Bitfield< decltype(raw), 29, 29 > | ring_event_idx_bfm_t
| Type to access the ring_event_idx bits (29 to 29) of raw.
constexpr ring_event_idx_bfm_t::Val | ring_event_idx () const
| Get the ring_event_idx bits (29 to 29) of raw.
constexpr ring_event_idx_bfm_t::Ref | ring_event_idx ()
| Get a reference to the ring_event_idx bits (29 to 29) of raw.

## Detailed Description

Type for device feature bitmap.

Definition at line 66 of file virtio.

The documentation for this struct was generated from the following file:

- l4/l4virtio/server/virtio